LibreOffice: XIdentifierAccess Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
XIdentifierAccess Interface Referencepublished

provides access to the elements of a collection through a unique identifier. More...

`import"XIdentifierAccess.idl";`

Inheritance diagram for XIdentifierAccess:

## Public Member Functions
any | getByIdentifier ([in] long Identifier) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< long > | getIdentifiers ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the elements of a collection through a unique identifier.

## Member Function Documentation

## ◆ getByIdentifier()

any getByIdentifier | ( | [in] long | Identifier | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  the element with the specified identifier

Parameters

  Identifier | specifies the identifier of the element that should be retrieved.

Exceptions

  com::sun::star::lang::NoSuchElementException | If the identifier is not existing.
  com::sun::star::lang::WrappedTargetException | If the implementation has internal reasons for exceptions, then wrap these in a com::sun::star::lang::WrappedTargetException exception.

## ◆ getIdentifiers()

sequence<long> getIdentifiers | ( |  | ) |

Returns
  a sequence of all identifiers in this container.

The order of the identifiers is not specified.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XIdentifierAccess.idl